$(document).ready(function(){
	
	if ($("#ie6").length!=0) var global_IE6 = true; else var global_IE6 = false;
	if (global_IE6 || $("#ie7").length!=0) var global_IE = true; else var global_IE = false;
	
	// Service
	$("#header .services li:first").addClass("first");
	
	// Mainmenu
	$("#mainmenu td:first").addClass("firstchild");
	$("#mainmenu td:last").addClass("lastchild");
	$("#mainmenu td").mouseenter(function(){
		var obj = $(this);
		obj.addClass("hover");
		if (!obj.prev().hasClass("cur") && !obj.hasClass("firstchild") && !obj.hasClass("cur")) obj.prev().addClass("hover_prev");
		if (!obj.hasClass("lastchild")) if (obj.next().hasClass("cur")) obj.next().addClass("cur_hover_next"); else obj.next().addClass("hover_next");
		if (obj.hasClass("lastchild")) obj.addClass("last_hover");
		if (obj.hasClass("firstchild")) obj.addClass("first_hover");
	}).mouseleave(function(){
		var obj = $(this);
		obj.removeClass("hover");
		if (!obj.hasClass("firstchild")) obj.prev().removeClass("hover_prev");
		if (!obj.hasClass("lastchild")) if (obj.next().hasClass("cur")) obj.next().removeClass("cur_hover_next"); else obj.next().removeClass("hover_next");
		if (obj.hasClass("lastchild")) obj.removeClass("last_hover");
		if (obj.hasClass("firstchild")) obj.removeClass("first_hover");
	});
	if ($("#mainmenu td.cur").length!=0) {
		if (!$("#mainmenu td.cur").hasClass("lastchild")) $("#mainmenu td.cur").next().addClass("cur_next"); else $("#mainmenu td.cur").addClass("last_cur");
		if (!$("#mainmenu td.cur").hasClass("firstchild")) $("#mainmenu td.cur").prev().addClass("cur_prev"); else $("#mainmenu td.cur").addClass("first_cur");
	}
	
	// Parts
	if ($("#president_panel .pp_bg table .parts_td .part").length!=0) {
		$("#president_panel .pp_bg table .parts_td .part:last").addClass("last_part");
		var is_fading = false;
		$("#president_panel .pp_bg table .parts_td .part")
			.mouseenter(function(){
				var obj = $(this);
				if (!is_fading && !obj.hasClass("hover_part")) {
					$("#president_panel .pp_bg table .parts_td .part").removeClass("hover_part").removeClass("last_hover");
					$("#president_panel .pp_bg table .parts_td .part").next().removeClass("prev_hover");
					obj.addClass("hover_part");
					if (!obj.hasClass("last_part")) obj.next().addClass("prev_hover"); else obj.addClass("last_hover");
					is_fading = true;
					$("#president_panel .pp_bg table .photo_td .photo .show").hide();
					$("#president_panel .pp_bg table .photo_td .photo ."+(obj.find("span").attr("class"))).show();
					is_fading=false;
				}
			});
	}
	
	// Structure
	var calcCount = function(child){ var count = 0; child.each(function(){count++;}); return count; }
	$("#structure .information_block").each(function(){
		var obj = $(this);
		var count_childs = calcCount(obj.find(".block"));
		if (count_childs>1) {
			var width = (count_childs-1)*226;
			$("<div class='line' style='left: 99px; width:"+width+"px;'></div>").appendTo(this);
		}
	});
	
	// Table
	if ($("#text table").length!=0) {
		$("#text table").each(function(){
			var obj = $(this);
			if (!obj.hasClass("no_paint")) {
				obj.addClass("on_paint");
				obj.attr("cellspacing","0").attr("cellpadding","0");
				obj.find("tr:odd td").addClass("odd");
			}
		});
	}
	
	// Gallery
	var calcItemActiveNumber = function(){
		var count = 0;
		var flag = true;
		$(".gallery_block .item").each(function(){
			if (flag) count++;
			if ($(this).hasClass("item_active")) flag = false;
		});
		return count;
	}
	if ($('.gallery_block .item').length!=0) {
		if ($("#blog_position").length!=0) {
			var image_count = 0;
			$(".gallery_block .list").scrollable({
				size: 6,
				onSeek: function(){
					$("#blog_position .big_photo .img img").attr("src",$(".gallery_block .item_active .link a").attr("href"));
					$("#blog_position .big_photo .mask p").text($(".gallery_block .item_active p img").attr("alt"));
					$("#blog_position .big_photo .count").text(calcItemActiveNumber()+"/"+image_count);
				},
				horizontal:true,
				prev:'.prev',
				next:'.next'
			});
			$(".gallery_block .list").each(function(){
				var count = 0;
				$(this).find(".item").each(function(){count++;});
				if(count>6)$(this).find('.next').addClass('active');
				$(".gallery_block .item:first").addClass("item_active");
				image_count = count;
			});
			$("#blog_position .big_photo .img img").attr("src",$(".gallery_block .item:first .link a").attr("href"));
			$("#blog_position .big_photo .mask p").text($(".gallery_block .item:first p img").attr("alt"));
			$("#blog_position .big_photo .count").text("1/"+image_count);
		} else if ($("#news_position").length!=0) {
			var image_count = 0;
			$(".gallery_block .list").scrollable({
				size: 3,
				onSeek: function(){
					$("#news_position .big_photo .img").css("background-image","url("+$(".gallery_block .item_active .link a").attr("href")+")");
					$("#news_position .big_photo .mask p").text($(".gallery_block .item_active p img").attr("alt"));
					$("#news_position .big_photo .count").text(calcItemActiveNumber()+"/"+image_count);
				},
				horizontal:true,
				prev:'.prev',
				next:'.next'
			});
			$(".gallery_block .list").each(function(){
				var count = 0;
				$(this).find(".item").each(function(){count++;});
				if(count>3)$(this).find('.next').addClass('active');
				$(".gallery_block .item:first").addClass("item_active");
				image_count = count;
			});
			$("#news_position .big_photo .img").css("background-image","url("+$(".gallery_block .item:first .link a").attr("href")+")");
			$("#news_position .big_photo .mask p").text($(".gallery_block .item:first p img").attr("alt"));
			$("#news_position .big_photo .count").text(calcItemActiveNumber()+"/"+image_count);
		} else {
			$(".gallery_block .list").scrollable({
				size: 7,
				horizontal:true,
				prev:'.prev',
				next:'.next'
			});
			$(".gallery_block .list").each(function(){
				var count = 0;
				$(this).find(".item").each(function(){count++;});
				if(count>7)$(this).find('.next').addClass('active');
				if (!global_IE6) $(".gallery_block .item a").lightBox();
				$(".gallery_block .item:first").addClass("item_active");
			});
		}
		$(".gallery_block .list .items .item a").mouseenter(function(){
			var obj = $(this).parent().parent();
			if (!obj.hasClass("item_active")) if (global_IE) obj.find(".fade").hide(); else obj.find(".fade").fadeOut(150);
		}).mouseleave(function(){
			var obj = $(this).parent().parent();
			if (!obj.hasClass("item_active")) if (global_IE) obj.find(".fade").show(); else obj.find(".fade").fadeIn(150);
		}).click(function(){
			var obj = $(this).parent().parent();
			if (!obj.hasClass("item_active")) {
				var prev_item = obj.parent().find(".item_active");
				prev_item.removeClass("item_active"); if (global_IE) prev_item.find(".fade").show(); else prev_item.find(".fade").fadeIn(150);
				obj.addClass("item_active");
				if ($("#blog_position").length!=0) {
					$("#blog_position .big_photo .img img").attr("src",$(".gallery_block .item_active .link a").attr("href"));
					$("#blog_position .big_photo .mask p").text($(".gallery_block .item_active p img").attr("alt"));
					$("#blog_position .big_photo .count").text(calcItemActiveNumber()+"/"+image_count);
				}
				if ($("#news_position").length!=0) {
					$("#news_position .big_photo .img").css("background-image","url("+$(".gallery_block .item_active .link a").attr("href")+")");
					$("#news_position .big_photo .mask p").text($(".gallery_block .item_active p img").attr("alt"));
					$("#news_position .big_photo .count").text(calcItemActiveNumber()+"/"+image_count);
				}
			}
			if (!global_IE6) return false;
		});
		$(".gallery_block .list .prev").mouseenter(function(){ $(this).addClass("prev_hover"); }).mouseleave(function(){ $(this).removeClass("prev_hover"); });
		$(".gallery_block .list .next").mouseenter(function(){ $(this).addClass("next_hover"); }).mouseleave(function(){ $(this).removeClass("next_hover"); });
	}
	$("#pager .button .bg p a").mouseenter(function(){ $(this).parent().parent().parent().addClass("button_hover"); }).mouseleave(function(){ $(this).parent().parent().parent().removeClass("button_hover"); });
	
	// Pager
	$("#pager ul li a").mouseenter(function(){ $(this).parent().parent().addClass("hover"); }).mouseleave(function(){ $(this).parent().parent().removeClass("hover"); });
	
	// Blog main
	$(".comment_button").mouseenter(function(){ $(this).addClass("comment_button_h"); }).mouseleave(function(){ $(this).removeClass("comment_button_h"); });
	
	// FAQ
	$("#faq dl dt a").click(function(){
		var obj = $(this).parent().parent();
		obj.toggleClass("active");
		obj.find("dd").slideToggle();
		return false;
	});
	$("#faq dl dd .close a").click(function(){
		var obj = $(this).parent().parent().parent();
		obj.toggleClass("active");
		obj.find("dd").slideToggle();
		return false;
	});
	
	// Calendar
	$('#calendar select').change(function(){
		$("#calendar .cont").calendarWidget({
            month: parseInt($('#calendar .month_select').attr("value")),
         	year: parseInt($('#calendar .year_select').attr("value"))						  
         });
	});
	
	// AfterLoad
	var afterLoad = function(){
		
		if ($("#blog_main .big .photo").length!=0) {
			$("#blog_main .big .photo").css("height",($("#blog_main .big .photo .big_img").height())+"px");
			$("#blog_main .big .corners_bot").css("top",($("#blog_main .big .photo .big_img").height()-4)+"px");
		}
		if ($("#expression_position .photo").length!=0) {
			$("#expression_position .photo").each(function(){
				var obj = $(this);
				var height = obj.find("p img").height();
				obj.find(".corners_bot").css("top",(height-13)+"px");
				obj.find(".link").css("height",(height)+"px");
				obj.find(".link").css("height",(height)+"px");
				obj.find(".link img").css("height",(height)+"px");
			});
		}
		if ($("#expression_list .ex .photo").length!=0) {
			$("#expression_list .ex .photo").each(function(){
				var obj = $(this);
				var height = obj.find("p img").height();
				obj.find(".corners_bot").css("top",(height-17)+"px");
				obj.find(".link").css("height",(height)+"px");
				obj.find(".link").css("height",(height)+"px");
				obj.find(".link img").css("height",(height)+"px");
			});
		}
		if ($("#person .photo").length!=0) {
			$("#person .photo").each(function(){
				var obj = $(this);
				var height = obj.find("p img").height();
				obj.find(".corners_bot").css("top",(height-13)+"px");
				obj.find(".link").css("height",(height)+"px");
				obj.find(".link").css("height",(height)+"px");
				obj.find(".link img").css("height",(height)+"px");
			});
		}
		
		return false;
	}
	var isChrome = function() {
		if (navigator.userAgent.toLowerCase().indexOf('chrome') > -1) {
			return true;
			chrome_version = navigator.userAgent.replace(/^.*Chrome\/([\d\.]+).*$/i, '$1')
		} else return false
	}
	if (isChrome()) $(window).load(afterLoad); else $(window).load(afterLoad());
	
	// Printing
	/* var NS = (navigator.appName == "Netscape");
	var VERSION = parseInt(navigator.appVersion);
	if (VERSION <= 3 && $("#header .services .print a").length!=0) {$("#header .services .print").remove();}
	$("#header .services .print a").click(function(){		
		if (NS) {
			window.print() ;
		} else {
			var WebBrowser = '<OBJECT ID="WebBrowser1" WIDTH=0 HEIGHT=0 CLASSID="CLSID:8856F961-340A-11D0-A96B-00C04FD705A2"></OBJECT>';
			document.body.insertAdjacentHTML('beforeEnd', WebBrowser);
			WebBrowser1.ExecWB(6, 1);
		}
		return false;
	});
    */
	
	

//     
	function placeholder(){  
		$("input[type=text]").each(function(){  
			var phvalue = $(this).attr("placeholder");  
			$(this).val(phvalue);  
		});  
	}  
	//placeholder();  
	$("input[type=text]").focusin(function(){ 
		var _this = $(this); 
		var phvalue = _this.attr("placeholder");  
		if (phvalue == _this.val()) {  
			_this.val("");
			_this.css('color','#444');				
		}  
	});  
	$("input[type=text]").focusout(function(){ 
		var _this = $(this);
		var phvalue = _this.attr("placeholder");  
		if (_this.val() == "") {  
			_this.val(phvalue); 
			_this.css('color','#999');
		}  
	});  
		

 
	
});